Summary:	A tool which displays the status of serial port modem lines
Name:		statserial
Version:	1.1
Release:	%mkrel 34
License:	BSD
Group:		Communications/Serial
URL:		ftp://sunsite.unc.edu/pub/Linux/system/serial/
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/serial/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.1-config.patch
Patch1: 	%{name}-1.1-dev.patch
Patch2:		statserial-1.1-LDFLAGS.diff
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	glibc-static-devel

%description
The statserial utility displays a table of the signals on a standard 9-pin or
25-pin serial port and indicates the status of the handshaking lines.
Statserial is useful for debugging serial port and/or modem problems.

Install the statserial package if you need a tool to help debug serial port or
modem problems.

%prep

%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .dev
%patch2 -p0 -b .LDFLAGS

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}

install -m 755 statserial %{buildroot}%{_bindir}/statserial
install -m 444 statserial.1 %{buildroot}%{_mandir}/man1/statserial.1

%files
%doc COPYING ChangeLog README
%{_bindir}/statserial
%{_mandir}/man1/statserial.1*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.1-34.mga8
+ Revision: 1523690
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 daviddavid <daviddavid> 1.1-33.mga7
+ Revision: 1374610
- fix FTBFS

* Sun Sep 23 2018 umeabot <umeabot> 1.1-32.mga7
+ Revision: 1301190
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.1-31.mga6
+ Revision: 937938
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-30.mga5
+ Revision: 746991
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-29.mga5
+ Revision: 689531
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.1-28.mga4
+ Revision: 541508
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 pterjan <pterjan> 1.1-27.mga4
+ Revision: 496024
- Link with libtinfo

* Mon Jan 14 2013 umeabot <umeabot> 1.1-26.mga3
+ Revision: 383386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 1.1-25.mga3
+ Revision: 302523
- update RPM group

* Fri Feb 24 2012 pterjan <pterjan> 1.1-24.mga2
+ Revision: 213623
- imported package statserial


* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1-23mdv2010.1
+ Revision: 520231
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.1-22mdv2010.0
+ Revision: 427216
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-21mdv2009.1
+ Revision: 317286
- use %%ldflags

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.1-20mdv2009.0
+ Revision: 225494
- rebuild

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1-19mdv2008.1
+ Revision: 179540
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-18mdv2007.1
+ Revision: 145159
- Import statserial

* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1-18mdv2007.1
- use the %%mkrel macro
- bunzip patches

* Wed Oct 27 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-17mdk
- fix build

